package com.ruoyi.sysSapUser.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * SAP账户对象 sys_sap_user
 * 
 * @author ruoyi
 * @date 2024-04-02
 */
public class SysSapUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  ID */
    private String sapUserId;

    /** SAP账户 */
    @Excel(name = "SAP账户")
    private String sapUserBm;

    /** SAP账户名称 */
    @Excel(name = "SAP账户名称")
    private String sapUserName;

    /** 系统账户 */
    @Excel(name = "系统账户")
    private String sysUserName;

    /** 系统账户名称 */
    @Excel(name = "系统账户名称")
    private String sysUserNickName;

    public void setSapUserId(String sapUserId) 
    {
        this.sapUserId = sapUserId;
    }

    public String getSapUserId() 
    {
        return sapUserId;
    }
    public void setSapUserBm(String sapUserBm) 
    {
        this.sapUserBm = sapUserBm;
    }

    public String getSapUserBm() 
    {
        return sapUserBm;
    }
    public void setSapUserName(String sapUserName) 
    {
        this.sapUserName = sapUserName;
    }

    public String getSapUserName() 
    {
        return sapUserName;
    }
    public void setSysUserName(String sysUserName) 
    {
        this.sysUserName = sysUserName;
    }

    public String getSysUserName() 
    {
        return sysUserName;
    }
    public void setSysUserNickName(String sysUserNickName) 
    {
        this.sysUserNickName = sysUserNickName;
    }

    public String getSysUserNickName() 
    {
        return sysUserNickName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("sapUserId", getSapUserId())
            .append("sapUserBm", getSapUserBm())
            .append("sapUserName", getSapUserName())
            .append("sysUserName", getSysUserName())
            .append("sysUserNickName", getSysUserNickName())
            .toString();
    }
}
