package com.ruoyi.technicalConfirm.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报价单-技术确认单对象 quot_jsqr
 *
 * @author ruoyi
 * @date 2024-04-07
 */
public class QuotJsqr extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String quotJsqrId;

    /** 技术确认单编号 */
    @Excel(name = "技术确认单编号")
    private String quotJsqrCode;

    /** 特缆协助状态 */
    @Excel(name = "特缆协助状态")
    private String quotJsqrTlApprovalStatus;

    /** 特缆操作人 */
    private String quotJsqrTlOperateUserName;

    /** 特缆操作状态 */
    private String quotJsqrTlOperateState;

    /** 特缆操作时间 */
    private String quotJsqrTlOperateTime;

    /** 特缆协助说明 */
    private String quotJsqrTlRemark;

    /** 特缆审核人 */
    private String quotJsqrTlCheckUserName;

    /** 特缆审核状态 */
    private String quotJsqrTlCheckState;

    /** 特缆审核时间 */
    private String quotJsqrTlCheckTime;

    /** 特缆审核意见 */
    private String quotJsqrTlCheckRemark;

    /** 特缆组长 */
    private String quotJsqrTlLeaderUserName;

    /** 特缆组长状态 */
    private String quotJsqrTlLeaderState;

    /** 特缆组长确认时间 */
    private String quotJsqrTlLeaderTime;

    /** 特缆组长确认意见 */
    private String quotJsqrTlLeaderRemark;

    /** 低压协助状态 */
    @Excel(name = "低压协助状态")
    private String quotJsqrDyApprovalStatus;

    /** 低压操作人 */
    private String quotJsqrDyOperateUserName;

    /** 低压操作状态 */
    private String quotJsqrDyOperateState;

    /** 低压操作时间 */
    private String quotJsqrDyOperateTime;

    /** 低压协助说明 */
    private String quotJsqrDyRemark;

    /** 低压审核人 */
    private String quotJsqrDyCheckUserName;

    /** 低压审核状态 */
    private String quotJsqrDyCheckState;

    /** 低压审核时间 */
    private String quotJsqrDyCheckTime;

    /** 低压审核意见 */
    private String quotJsqrDyCheckRemark;

    /** 低压组长 */
    private String quotJsqrDyLeaderUserName;

    /** 低压组长状态 */
    private String quotJsqrDyLeaderState;

    /** 低压组长确认时间 */
    private String quotJsqrDyLeaderTime;

    /** 低压组长确认意见 */
    private String quotJsqrDyLeaderRemark;

    /** 中压协助状态 */
    @Excel(name = "中压协助状态")
    private String quotJsqrZyApprovalStatus;

    /** 中压操作人 */
    private String quotJsqrZyOperateUserName;

    /** 中压操作状态 */
    private String quotJsqrZyOperateState;

    /** 中压操作时间 */
    private String quotJsqrZyOperateTime;

    /** 中压协助说明 */
    private String quotJsqrZyRemark;

    /** 中压审核人 */
    private String quotJsqrZyCheckUserName;

    /** 中压审核状态 */
    private String quotJsqrZyCheckState;

    /** 中压审核时间 */
    private String quotJsqrZyCheckTime;

    /** 中压审核意见 */
    private String quotJsqrZyCheckRemark;

    /** 中压组长 */
    private String quotJsqrZyLeaderUserName;

    /** 中压组长状态 */
    private String quotJsqrZyLeaderState;

    /** 中压组长确认时间 */
    private String quotJsqrZyLeaderTime;

    /** 中压组长确认意见 */
    private String quotJsqrZyLeaderRemark;

    /** 其他协助状态 */
    @Excel(name = "其他协助状态")
    private String quotJsqrQtApprovalStatus;

    /** 其他操作人 */
    private String quotJsqrQtOperateUserName;

    /** 其他操作状态 */
    private String quotJsqrQtOperateState;

    /** 其他操作时间 */
    private String quotJsqrQtOperateTime;

    /** 其他协助说明 */
    private String quotJsqrQtRemark;

    /** 其他审核人 */
    private String quotJsqrQtCheckUserName;

    /** 其他审核状态 */
    private String quotJsqrQtCheckState;

    /** 其他审核时间 */
    private String quotJsqrQtCheckTime;

    /** 其他审核意见 */
    private String quotJsqrQtCheckRemark;

    /** 其他组长 */
    private String quotJsqrQtLeaderUserName;

    /** 其他组长状态 */
    private String quotJsqrQtLeaderState;

    /** 其他组长确认时间 */
    private String quotJsqrQtLeaderTime;

    /** 其他组长确认意见 */
    private String quotJsqrQtLeaderRemark;

    /** 创建人 */
    private String createName;

    public void setQuotJsqrId(String quotJsqrId)
    {
        this.quotJsqrId = quotJsqrId;
    }

    public String getQuotJsqrId()
    {
        return quotJsqrId;
    }
    public void setQuotJsqrCode(String quotJsqrCode)
    {
        this.quotJsqrCode = quotJsqrCode;
    }

    public String getQuotJsqrCode()
    {
        return quotJsqrCode;
    }
    public void setQuotJsqrTlApprovalStatus(String quotJsqrTlApprovalStatus) { this.quotJsqrTlApprovalStatus = quotJsqrTlApprovalStatus; }

    public String getQuotJsqrTlApprovalStatus()
    {
        return quotJsqrTlApprovalStatus;
    }
    public void setQuotJsqrTlOperateUserName(String quotJsqrTlOperateUserName) { this.quotJsqrTlOperateUserName = quotJsqrTlOperateUserName; }

    public String getQuotJsqrTlOperateUserName()
    {
        return quotJsqrTlOperateUserName;
    }
    public void setQuotJsqrTlOperateState(String quotJsqrTlOperateState) { this.quotJsqrTlOperateState = quotJsqrTlOperateState; }

    public String getQuotJsqrTlOperateState()
    {
        return quotJsqrTlOperateState;
    }
    public void setQuotJsqrTlOperateTime(String quotJsqrTlOperateTime) { this.quotJsqrTlOperateTime = quotJsqrTlOperateTime; }

    public String getQuotJsqrTlOperateTime()
    {
        return quotJsqrTlOperateTime;
    }
    public void setQuotJsqrTlRemark(String quotJsqrTlRemark)
    {
        this.quotJsqrTlRemark = quotJsqrTlRemark;
    }

    public String getQuotJsqrTlRemark()
    {
        return quotJsqrTlRemark;
    }
    public void setQuotJsqrTlCheckUserName(String quotJsqrTlCheckUserName) { this.quotJsqrTlCheckUserName = quotJsqrTlCheckUserName; }

    public String getQuotJsqrTlCheckUserName()
    {
        return quotJsqrTlCheckUserName;
    }
    public void setQuotJsqrTlCheckState(String quotJsqrTlCheckState) { this.quotJsqrTlCheckState = quotJsqrTlCheckState; }

    public String getQuotJsqrTlCheckState()
    {
        return quotJsqrTlCheckState;
    }
    public void setQuotJsqrTlCheckTime(String quotJsqrTlCheckTime)
    {
        this.quotJsqrTlCheckTime = quotJsqrTlCheckTime;
    }

    public String getQuotJsqrTlCheckTime()
    {
        return quotJsqrTlCheckTime;
    }
    public void setQuotJsqrTlCheckRemark(String quotJsqrTlCheckRemark) { this.quotJsqrTlCheckRemark = quotJsqrTlCheckRemark; }

    public String getQuotJsqrTlCheckRemark()
    {
        return quotJsqrTlCheckRemark;
    }
    public void setQuotJsqrTlLeaderUserName(String quotJsqrTlLeaderUserName) { this.quotJsqrTlLeaderUserName = quotJsqrTlLeaderUserName; }

    public String getQuotJsqrTlLeaderUserName()
    {
        return quotJsqrTlLeaderUserName;
    }
    public void setQuotJsqrTlLeaderState(String quotJsqrTlLeaderState) { this.quotJsqrTlLeaderState = quotJsqrTlLeaderState; }

    public String getQuotJsqrTlLeaderState()
    {
        return quotJsqrTlLeaderState;
    }
    public void setQuotJsqrTlLeaderTime(String quotJsqrTlLeaderTime) { this.quotJsqrTlLeaderTime = quotJsqrTlLeaderTime; }

    public String getQuotJsqrTlLeaderTime()
    {
        return quotJsqrTlLeaderTime;
    }
    public void setQuotJsqrTlLeaderRemark(String quotJsqrTlLeaderRemark) { this.quotJsqrTlLeaderRemark = quotJsqrTlLeaderRemark; }

    public String getQuotJsqrTlLeaderRemark()
    {
        return quotJsqrTlLeaderRemark;
    }
    public void setQuotJsqrDyApprovalStatus(String quotJsqrDyApprovalStatus) { this.quotJsqrDyApprovalStatus = quotJsqrDyApprovalStatus; }

    public String getQuotJsqrDyApprovalStatus()
    {
        return quotJsqrDyApprovalStatus;
    }
    public void setQuotJsqrDyOperateUserName(String quotJsqrDyOperateUserName) { this.quotJsqrDyOperateUserName = quotJsqrDyOperateUserName; }

    public String getQuotJsqrDyOperateUserName()
    {
        return quotJsqrDyOperateUserName;
    }
    public void setQuotJsqrDyOperateState(String quotJsqrDyOperateState) { this.quotJsqrDyOperateState = quotJsqrDyOperateState; }

    public String getQuotJsqrDyOperateState()
    {
        return quotJsqrDyOperateState;
    }
    public void setQuotJsqrDyOperateTime(String quotJsqrDyOperateTime) { this.quotJsqrDyOperateTime = quotJsqrDyOperateTime; }

    public String getQuotJsqrDyOperateTime()
    {
        return quotJsqrDyOperateTime;
    }
    public void setQuotJsqrDyRemark(String quotJsqrDyRemark)
    {
        this.quotJsqrDyRemark = quotJsqrDyRemark;
    }

    public String getQuotJsqrDyRemark()
    {
        return quotJsqrDyRemark;
    }
    public void setQuotJsqrDyCheckUserName(String quotJsqrDyCheckUserName) { this.quotJsqrDyCheckUserName = quotJsqrDyCheckUserName; }

    public String getQuotJsqrDyCheckUserName()
    {
        return quotJsqrDyCheckUserName;
    }
    public void setQuotJsqrDyCheckState(String quotJsqrDyCheckState) { this.quotJsqrDyCheckState = quotJsqrDyCheckState; }

    public String getQuotJsqrDyCheckState()
    {
        return quotJsqrDyCheckState;
    }
    public void setQuotJsqrDyCheckTime(String quotJsqrDyCheckTime)
    {
        this.quotJsqrDyCheckTime = quotJsqrDyCheckTime;
    }

    public String getQuotJsqrDyCheckTime()
    {
        return quotJsqrDyCheckTime;
    }
    public void setQuotJsqrDyCheckRemark(String quotJsqrDyCheckRemark) { this.quotJsqrDyCheckRemark = quotJsqrDyCheckRemark; }

    public String getQuotJsqrDyCheckRemark()
    {
        return quotJsqrDyCheckRemark;
    }
    public void setQuotJsqrDyLeaderUserName(String quotJsqrDyLeaderUserName) { this.quotJsqrDyLeaderUserName = quotJsqrDyLeaderUserName; }

    public String getQuotJsqrDyLeaderUserName()
    {
        return quotJsqrDyLeaderUserName;
    }
    public void setQuotJsqrDyLeaderState(String quotJsqrDyLeaderState) { this.quotJsqrDyLeaderState = quotJsqrDyLeaderState; }

    public String getQuotJsqrDyLeaderState()
    {
        return quotJsqrDyLeaderState;
    }
    public void setQuotJsqrDyLeaderTime(String quotJsqrDyLeaderTime) { this.quotJsqrDyLeaderTime = quotJsqrDyLeaderTime; }

    public String getQuotJsqrDyLeaderTime()
    {
        return quotJsqrDyLeaderTime;
    }
    public void setQuotJsqrDyLeaderRemark(String quotJsqrDyLeaderRemark) { this.quotJsqrDyLeaderRemark = quotJsqrDyLeaderRemark; }

    public String getQuotJsqrDyLeaderRemark()
    {
        return quotJsqrDyLeaderRemark;
    }
    public void setQuotJsqrZyApprovalStatus(String quotJsqrZyApprovalStatus) { this.quotJsqrZyApprovalStatus = quotJsqrZyApprovalStatus; }

    public String getQuotJsqrZyApprovalStatus()
    {
        return quotJsqrZyApprovalStatus;
    }
    public void setQuotJsqrZyOperateUserName(String quotJsqrZyOperateUserName) { this.quotJsqrZyOperateUserName = quotJsqrZyOperateUserName; }

    public String getQuotJsqrZyOperateUserName()
    {
        return quotJsqrZyOperateUserName;
    }
    public void setQuotJsqrZyOperateState(String quotJsqrZyOperateState) { this.quotJsqrZyOperateState = quotJsqrZyOperateState; }

    public String getQuotJsqrZyOperateState()
    {
        return quotJsqrZyOperateState;
    }
    public void setQuotJsqrZyOperateTime(String quotJsqrZyOperateTime) { this.quotJsqrZyOperateTime = quotJsqrZyOperateTime; }

    public String getQuotJsqrZyOperateTime()
    {
        return quotJsqrZyOperateTime;
    }
    public void setQuotJsqrZyRemark(String quotJsqrZyRemark)
    {
        this.quotJsqrZyRemark = quotJsqrZyRemark;
    }

    public String getQuotJsqrZyRemark()
    {
        return quotJsqrZyRemark;
    }
    public void setQuotJsqrZyCheckUserName(String quotJsqrZyCheckUserName) { this.quotJsqrZyCheckUserName = quotJsqrZyCheckUserName; }

    public String getQuotJsqrZyCheckUserName()
    {
        return quotJsqrZyCheckUserName;
    }
    public void setQuotJsqrZyCheckState(String quotJsqrZyCheckState) { this.quotJsqrZyCheckState = quotJsqrZyCheckState; }

    public String getQuotJsqrZyCheckState()
    {
        return quotJsqrZyCheckState;
    }
    public void setQuotJsqrZyCheckTime(String quotJsqrZyCheckTime)
    {
        this.quotJsqrZyCheckTime = quotJsqrZyCheckTime;
    }

    public String getQuotJsqrZyCheckTime()
    {
        return quotJsqrZyCheckTime;
    }
    public void setQuotJsqrZyCheckRemark(String quotJsqrZyCheckRemark) { this.quotJsqrZyCheckRemark = quotJsqrZyCheckRemark; }

    public String getQuotJsqrZyCheckRemark()
    {
        return quotJsqrZyCheckRemark;
    }
    public void setQuotJsqrZyLeaderUserName(String quotJsqrZyLeaderUserName) { this.quotJsqrZyLeaderUserName = quotJsqrZyLeaderUserName; }

    public String getQuotJsqrZyLeaderUserName()
    {
        return quotJsqrZyLeaderUserName;
    }
    public void setQuotJsqrZyLeaderState(String quotJsqrZyLeaderState) { this.quotJsqrZyLeaderState = quotJsqrZyLeaderState; }

    public String getQuotJsqrZyLeaderState()
    {
        return quotJsqrZyLeaderState;
    }
    public void setQuotJsqrZyLeaderTime(String quotJsqrZyLeaderTime) { this.quotJsqrZyLeaderTime = quotJsqrZyLeaderTime; }

    public String getQuotJsqrZyLeaderTime()
    {
        return quotJsqrZyLeaderTime;
    }
    public void setQuotJsqrZyLeaderRemark(String quotJsqrZyLeaderRemark) { this.quotJsqrZyLeaderRemark = quotJsqrZyLeaderRemark; }

    public String getQuotJsqrZyLeaderRemark()
    {
        return quotJsqrZyLeaderRemark;
    }
    public void setQuotJsqrQtApprovalStatus(String quotJsqrQtApprovalStatus) { this.quotJsqrQtApprovalStatus = quotJsqrQtApprovalStatus; }

    public String getQuotJsqrQtApprovalStatus()
    {
        return quotJsqrQtApprovalStatus;
    }
    public void setQuotJsqrQtOperateUserName(String quotJsqrQtOperateUserName) { this.quotJsqrQtOperateUserName = quotJsqrQtOperateUserName; }

    public String getQuotJsqrQtOperateUserName()
    {
        return quotJsqrQtOperateUserName;
    }
    public void setQuotJsqrQtOperateState(String quotJsqrQtOperateState) { this.quotJsqrQtOperateState = quotJsqrQtOperateState; }

    public String getQuotJsqrQtOperateState()
    {
        return quotJsqrQtOperateState;
    }
    public void setQuotJsqrQtOperateTime(String quotJsqrQtOperateTime) { this.quotJsqrQtOperateTime = quotJsqrQtOperateTime; }

    public String getQuotJsqrQtOperateTime()
    {
        return quotJsqrQtOperateTime;
    }
    public void setQuotJsqrQtRemark(String quotJsqrQtRemark)
    {
        this.quotJsqrQtRemark = quotJsqrQtRemark;
    }

    public String getQuotJsqrQtRemark()
    {
        return quotJsqrQtRemark;
    }
    public void setQuotJsqrQtCheckUserName(String quotJsqrQtCheckUserName) { this.quotJsqrQtCheckUserName = quotJsqrQtCheckUserName; }

    public String getQuotJsqrQtCheckUserName()
    {
        return quotJsqrQtCheckUserName;
    }
    public void setQuotJsqrQtCheckState(String quotJsqrQtCheckState) { this.quotJsqrQtCheckState = quotJsqrQtCheckState; }

    public String getQuotJsqrQtCheckState()
    {
        return quotJsqrQtCheckState;
    }
    public void setQuotJsqrQtCheckTime(String quotJsqrQtCheckTime)
    {
        this.quotJsqrQtCheckTime = quotJsqrQtCheckTime;
    }

    public String getQuotJsqrQtCheckTime()
    {
        return quotJsqrQtCheckTime;
    }
    public void setQuotJsqrQtCheckRemark(String quotJsqrQtCheckRemark){ this.quotJsqrQtCheckRemark = quotJsqrQtCheckRemark; }

    public String getQuotJsqrQtCheckRemark(){
        return quotJsqrQtCheckRemark;
    }
    public void setQuotJsqrQtLeaderUserName(String quotJsqrQtLeaderUserName) { this.quotJsqrQtLeaderUserName = quotJsqrQtLeaderUserName; }

    public String getQuotJsqrQtLeaderUserName(){
        return quotJsqrQtLeaderUserName;
    }
    public void setQuotJsqrQtLeaderState(String quotJsqrQtLeaderState) { this.quotJsqrQtLeaderState = quotJsqrQtLeaderState; }

    public String getQuotJsqrQtLeaderState(){
        return quotJsqrQtLeaderState;
    }
    public void setQuotJsqrQtLeaderTime(String quotJsqrQtLeaderTime) { this.quotJsqrQtLeaderTime = quotJsqrQtLeaderTime; }

    public String getQuotJsqrQtLeaderTime(){
        return quotJsqrQtLeaderTime;
    }
    public void setQuotJsqrQtLeaderRemark(String quotJsqrQtLeaderRemark) { this.quotJsqrQtLeaderRemark = quotJsqrQtLeaderRemark; }

    public String getQuotJsqrQtLeaderRemark(){return quotJsqrQtLeaderRemark;}
    public String getCreateName() { return createName; }

    public void setCreateName(String createName) { this.createName = createName; }


/** 报价单信息 */
    /** 报价单号 */
    private String quotCode;

    /** 业务员 */
    private String quotSalesmanName;

    /** 客户名称 */
    private String quotCustomerName;

    /** 项目名称 */
    private String quotProject;

    /** 技术协助-协助状态 */
    private String quotJsxzApprovalStatus;

    /** 技术协助-分组 */
    private String[] quotJsxzGroup;
    private String quotJsxzGroupValues;

    /** 技术协助-标准 */
    private String quotJsxzStandard;

    /** 是否需要技术章 */
    private String quotJsxzChapter;

    /** 技术协助-技术要求 */
    private String quotJsxzTechnicalRequirement;

    public String getQuotCode() { return quotCode; }
    public void setQuotCode(String quotCode) { this.quotCode = quotCode; }

    public String getQuotSalesmanName() { return quotSalesmanName; }
    public void setQuotSalesmanName(String quotSalesmanName) { this.quotSalesmanName = quotSalesmanName; }

    public String getQuotCustomerName() { return quotCustomerName; }
    public void setQuotCustomerName(String quotCustomerName) { this.quotCustomerName = quotCustomerName; }

    public String getQuotProject() { return quotProject; }
    public void setQuotProject(String quotProject) { this.quotProject = quotProject; }

    public String getQuotJsxzApprovalStatus() { return quotJsxzApprovalStatus; }
    public void setQuotJsxzApprovalStatus(String quotJsxzApprovalStatus) { this.quotJsxzApprovalStatus = quotJsxzApprovalStatus; }

    public String[] getQuotJsxzGroup() { return quotJsxzGroup; }
    public void setQuotJsxzGroup(String[] quotJsxzGroup) { this.quotJsxzGroup = quotJsxzGroup; }

    public String getQuotJsxzGroupValues() { return quotJsxzGroupValues; }
    public void setQuotJsxzGroupValues(String quotJsxzGroupValues) { this.quotJsxzGroupValues = quotJsxzGroupValues; }

    public String getQuotJsxzStandard() { return quotJsxzStandard; }
    public void setQuotJsxzStandard(String quotJsxzStandard) { this.quotJsxzStandard = quotJsxzStandard; }

    public String getQuotJsxzChapter() { return quotJsxzChapter; }
    public void setQuotJsxzChapter(String quotJsxzChapter) { this.quotJsxzChapter = quotJsxzChapter; }

    public String getQuotJsxzTechnicalRequirement() { return quotJsxzTechnicalRequirement; }
    public void setQuotJsxzTechnicalRequirement(String quotJsxzTechnicalRequirement) { this.quotJsxzTechnicalRequirement = quotJsxzTechnicalRequirement; }
}
