package com.ruoyi.quot.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报价单-文件对象 quot_file
 *
 * @author ruoyi
 * @date 2024-04-01
 */
public class QuotFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**   */
    private String fileId;

    /** 文件名称 */
    private String fileName;

    /** MINIO文件名称 */
    private String fileBucketName;

    /** 文件地址 */
    private String fileUrl;

    /** 文件大小 */
    private Long fileSize;

    /** 上传时间 */
    private String fileTime;

    /** 类别 */
    private String fileType;

    /**   */
    private String relationId;

    public void setFileId(String fileId)
    {
        this.fileId = fileId;
    }

    public String getFileId()
    {
        return fileId;
    }
    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }
    public String getFileBucketName() {return fileBucketName;}

    public void setFileBucketName(String fileBucketName) {this.fileBucketName = fileBucketName;}
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }
    public void setFileSize(Long fileSize)
    {
        this.fileSize = fileSize;
    }

    public Long getFileSize()
    {
        return fileSize;
    }
    public void setFileTime(String fileTime)
    {
        this.fileTime = fileTime;
    }

    public String getFileTime()
    {
        return fileTime;
    }
    public String getFileType() {return fileType;}

    public void setFileType(String fileType) {this.fileType = fileType;}
    public void setRelationId(String relationId)
    {
        this.relationId = relationId;
    }

    public String getRelationId()
    {
        return relationId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fileId", getFileId())
            .append("fileName", getFileName())
            .append("fileUrl", getFileUrl())
            .append("fileSize", getFileSize())
            .append("fileTime", getFileTime())
            .append("relationId", getRelationId())
            .toString();
    }
}
